@import url('https://fonts.googleapis.com/css2?family=Bodoni+Moda:ital,opsz,wght@0,6..96,400..900;1,6..96,400..900&display=swap');
*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
body{
    background-color: #EEEAF4;
}
main{
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #EEEAF4;

}
.padre-img{
    padding: 60px;
    margin-top: 42px;
    text-align: center;
}
.padre-img h3{
    text-align: center;
    font-family: "Bodoni Moda";
    color: #333;
    font-size: 21px;
    margin-top: 10px;
}
.adorno{
    width: 300px;
}
.padre-trio{
    display: grid;
    grid-template-columns: auto 1fr auto;
    justify-content: center;
    align-items: center;
}
.img-lateral{
    height: 300px;
}

/* --- Modal --- */
.modal {
    display: none; /* oculto por defecto */
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.5); /* fondo semi-transparente */
}

.modal-content {
    background: #fff;
    margin:60% auto;
    padding: 20px;
    border-radius: 12px;
    width: 80%;
    max-width: 400px;
    text-align: center;
    font-family: "Bodoni Moda", serif;
}

button{
    padding: 12px 24px;
    margin: auto;
    margin-top: 12px;
    border: 0px solid gray;
    background-color: rgb(145 119 153);
    font-family: "Bodoni Moda", serif;
    font-size: 18px;
    border-radius: 9px; 
    cursor: pointer;
    text-decoration: underline;
    color: #fff;

}

#contador{
    font-family: monospace;
    font-size: 30px;
    background-color: #ccbfec;
    color: #333;
    margin-top: 20px;
    text-align: center;
    border-radius: 9px;
    height: 51px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0px 12px;
}



#modal{
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0,0,0,0.5);
    position: fixed;


}

#direction{
    font-size: 15px;
    margin-top: 12px;
    color: #555;
}


.modalChild{
    background-color: white;
    padding: 20px;
    border-radius: 12px;
    text-align: center;
    font-family: "Bodoni Moda", serif;
    width: 80%;
    max-width: 400px;
    max-height: 81vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    overflow-y: scroll;
}


a{
    text-decoration: none;
    padding: 12px 24px;
    margin: auto;
    margin-top: 12px;
    border: 0px solid rgb(17, 200, 51);
    background-color: rgb(145 119 153);
    font-family: "Bodoni Moda", serif;
    font-size: 18px;
    border-radius: 9px; 
    cursor: pointer;
    color: #fff;
    display: flex;
    align-items: center;
    gap: 9px;
    /* text-shadow: 1px 1px 2px #adadad; */
    text-align: center;
    justify-content: center;
    text-decoration: none;

}
a img{
    width: 24px;
    height: 24px;
    filter: drop-shadow(1px 1px 2px #adadad);
}



/* PALETAS DE COLORES */
#color-pantone{
    width: 100px;
    height: 100px;
    background-color: rgb(145 119 153);
    border: 2px solid rgb(145 119 153);
    margin: auto;
    margin-bottom: 12px;
    border-radius: 12px;
}

#color-pantone2{
    width: 100px;
    height: 100px;
    background-color: hsl(297.39deg 13.77% 67.25%);
    border: 2px solid hsl(297.39deg 13.77% 67.25%);
    margin: auto;
    margin-bottom: 12px;
    border-radius: 12px;
}

#color-pantone3{
    width: 100px;
    height: 100px;
    background-color: rgb(128 133 110);
    border: 2px solid rgb(128 133 110);
    margin: auto;
    margin-bottom: 12px;
    border-radius: 12px;
}

#color-pantone4{
    width: 100px;
    height: 100px;
    background-color: rgb(73 93 55);
    border: 2px solid rgb(73 93 55);
    margin: auto;
    margin-bottom: 12px;
    border-radius: 12px;
}


#color-pantone5{
    width: 100px;
    height: 100px;
    background-color: rgb(165 120 101);
    border: 2px solid rgb(165 120 101);
    margin: auto;
    margin-bottom: 12px;
    border-radius: 12px;
}

#color-pantone6{
    width: 100px;
    height: 100px;
    background-color: rgb(190 132 131);
    border: 2px solid rgb(190 132 131);
    margin: auto;
    margin-bottom: 12px;
    border-radius: 12px;
}

#modal-dresscode{
    padding: 21px 0px;
}

.video-fondo {
    top: 0;
    left: 0;
    width: 100%;
    max-width: 320px;
    height: 100%;
    z-index: 999999999999; /* Asegura que el video esté detrás del contenido */
    margin: auto;
}

#sinai-juan{
    font-size: 33px;
    margin-top: 12px;
    text-align: center;
    color: #333;

}
.img-juan-boda {
    width: 100%;
    opacity: 0; /* para animación de aparición */
    animation: fadeIn 1.5s ease-in forwards, float 4s ease-in-out infinite;
    animation-delay: 0s, 1.5s; /* la flotación empieza después de la entrada */
}


#frase-sina{
    max-width: 320px;
    color: #424242;
    font-size: 15px;
    line-height: 15px; /* controla el espacio vertical */
    margin-top: 3px;
}

/* Entrada suave */
@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px) scale(0.95);
    }
    to {
        opacity: 1;
        transform: translateY(0) scale(1);
    }
}

/* Flotación infinita */
@keyframes float {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-15px);
    }
}




@media (max-width: 720px) {
    main{
        max-width: 100%;
    }
    .img-juan-boda {
        width: 100%;
    }
    .padre-trio{
        max-width: 100vw;
    }
    .padre-img{
        padding: 0px;
    }
}
